sar-c.d(1m)

NAME
sar-c.d - sar -c demo in DTrace. Uses DTrace.

SYNOPSIS
sar-c.d

DESCRIPTION
This has been written to demonstrate fetching the same data as sar -c from DTrace. This program is intended as a starting point for other DTrace scripts, by beginning with familiar statistics. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the syscall and sysinfo providers.

EXAMPLES

Print system call counts every second,
    # sar-c.d

FIELDS

scall/s
    System calls

sread/s
    reads

swrit/s
    writes

fork/s
    forks

exec/s
    execs

rchar/s
    read characters

wchar/s
    write characters

IDEA
David Rubio, who also wrote the original.

NOTES
As this program does not use Kstat, there is no summary since boot line.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
sar-c.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
sar(1M), dtrace(1M)